[arch-commits] Commit in python-sh/repos/community-any (PKGBUILD PKGBUILD)
Felix Yan
felixonmars at archlinux.org
Mon Nov 28 02:30:23 UTC 2016
Date: Monday, November 28, 2016 @ 02:30:22
Author: felixonmars
Revision: 197058
archrelease: copy trunk to community-any
Added:
python-sh/repos/community-any/PKGBUILD
(from rev 197057, python-sh/trunk/PKGBUILD)
Deleted:
python-sh/repos/community-any/PKGBUILD
----------+
PKGBUILD | 98 +++++++++++++++++++++++++++++++++----------------------------
1 file changed, 54 insertions(+), 44 deletions(-)
Deleted: PKGBUILD
===================================================================
--- PKGBUILD 2016-11-28 02:30:07 UTC (rev 197057)
+++ PKGBUILD 2016-11-28 02:30:22 UTC (rev 197058)
@@ -1,44 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
-# Contributor: Alexander Rødseth <rodseth at gmail.com>
-
-_pkgname=sh
-pkgname=("python-$_pkgname" "python2-$_pkgname")
-pkgver=1.11
-pkgrel=2
-pkgdesc='Subprocess interface that allows you to call any program as if it were a function'
-arch=('any')
-url='http://pypi.python.org/pypi/sh'
-license=('MIT')
-makedepends=('python-setuptools' 'python2-setuptools')
-source=("http://pypi.python.org/packages/source/s/sh/$_pkgname-$pkgver.tar.gz")
-md5sums=('7af8df6c92d29ff927b6db0146bddec3')
-
-build() {
- cp -r "$_pkgname-$pkgver" "python2-$_pkgname-$pkgver"
-
- cd $_pkgname-$pkgver
- python setup.py build
-
- cd ../python2-$_pkgname-$pkgver
- python2 setup.py build
-}
-
-package_python-sh() {
- depends=('python')
-
- cd $_pkgname-$pkgver
- python setup.py install -O1 --root="$pkgdir"
- install -Dm644 LICENSE.txt "$pkgdir/usr/share/licenses/python-sh/LICENSE"
-}
-
-package_python2-sh() {
- depends=('python2')
-
- cd python2-$_pkgname-$pkgver
- python2 setup.py install -O1 --root="$pkgdir"
- install -Dm644 LICENSE.txt "$pkgdir/usr/share/licenses/python2-sh/LICENSE"
-}
-
-# vim:set ts=2 sw=2 et:
Copied: python-sh/repos/community-any/PKGBUILD (from rev 197057, python-sh/trunk/PKGBUILD)
===================================================================
--- PKGBUILD (rev 0)
+++ PKGBUILD 2016-11-28 02:30:22 UTC (rev 197058)
@@ -0,0 +1,54 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
+# Contributor: Alexander Rødseth <rodseth at gmail.com>
+
+pkgname=("python-sh" "python2-sh")
+pkgver=1.12.0
+pkgrel=1
+pkgdesc='Subprocess interface that allows you to call any program as if it were a function'
+arch=('any')
+url='http://pypi.python.org/pypi/sh'
+license=('MIT')
+makedepends=('python-setuptools' 'python2-setuptools')
+checkdepends=('python-coverage' 'python2-coverage')
+source=("https://pypi.io/packages/source/s/sh/sh-$pkgver.tar.gz")
+md5sums=('7d64fcb51713ecb118dc58776ea8741f')
+
+prepare() {
+ cp -a sh-$pkgver{,-py2}
+}
+
+build() {
+ cd "$srcdir"/sh-$pkgver
+ python setup.py build
+
+ cd "$srcdir"/sh-$pkgver-py2
+ python2 setup.py build
+}
+
+check() {
+ cd "$srcdir"/sh-$pkgver
+ python sh.py travis || warning "Tests failed"
+
+ cd "$srcdir"/sh-$pkgver-py2
+ python2 sh.py travis || warning "Tests failed"
+}
+
+package_python-sh() {
+ depends=('python')
+
+ cd sh-$pkgver
+ python setup.py install -O1 --root="$pkgdir"
+ install -Dm644 LICENSE.txt "$pkgdir"/usr/share/licenses/python-sh/LICENSE
+}
+
+package_python2-sh() {
+ depends=('python2')
+
+ cd sh-$pkgver-py2
+ python2 setup.py install -O1 --root="$pkgdir"
+ install -Dm644 LICENSE.txt "$pkgdir"/usr/share/licenses/python2-sh/LICENSE
+}
+
+# vim:set ts=2 sw=2 et:
More information about the arch-commits
mailing list